# $ cat << EOF | sudo debconf-set-selections
# jitsi-videobridge   jitsi-videobridge/jvb-hostname  string  meet.example.com
# jitsi-meet  jitsi-meet/jvb-serve    boolean false
# jitsi-meet-prosody  jitsi-videobridge/jvb-hostname  string  meet.example.com
# jitsi-meet-web-config   jitsi-meet/cert-choice  select  I want to use my own certificate
# jitsi-meet-web-config   jitsi-meet/cert-path-crt    string  /etc/ssl/meet.example.com.crt
# jitsi-meet-web-config   jitsi-meet/cert-path-key    string  /etc/ssl/meet.example.com.key
# EOF

- block:
  - name: jitsimeet | set debconf vars
    shell:
      cmd: "{{ playbook_dir }}/roles/jitsimeet/files/set_debconf.sh {{ jitsi_fqdn }}"
  - name: jitsimeet | install packages
    package:
      name: 
        - prosody
        - jicofo
        - jitsi-meet-web
        - jitsi-meet-prosody
        - jitsi-meet-web-config
        - jitsi-videobridge2
    notify: restart_nginx
  when: preinstalled == false or preinstalled is not defined

- name: jitsimeet | copy custom settings
  copy:
    src: "{{ item.src }}"
    dest: "{{ item.dest }}"
    mode: "{{ item.mode | default(omit) }}"
  with_items:
    - { src: "top-view-photo-of-people-near-wooden-table-3183150_small.jpg", dest: "/usr/share/jitsi-meet/images/welcome-background-cust.png", mode: '0644 '}
    - { src: "welcomePageAdditionalContent.html", dest: "/usr/share/jitsi-meet/static/", mode: '0644' }
    - { src: "plugin.head.html", dest: "/usr/share/jitsi-meet/", mode: '0644' }
    - { src: "jitsi-statistics.sh", dest: "/root/", mode: '755' }
  notify: restart_jitsi

- name: jitsimeet | copy /etc/jitsi
  copy:
    src: "{{ item.src }}"
    dest: "/etc/jitsi/"
    owner: "{{ item.owner }}"
    group: "{{ item.group }}"
  loop:
    - { src: "jitsi_etc/meet", owner: "root", group: "root" }
  notify: restart_jitsi

- name: jitsimeet | Modify interface_config.js
  replace:
    path: "/usr/share/jitsi-meet/interface_config.js"
    regexp: "{{ item.regexp }}"
    replace: "{{ item.repl }}"
    backup: True
  loop:
    - { regexp: "APP_NAME.*$", repl: "APP_NAME: 'Mewimeet'," }
    - { regexp: "jitsi.org", repl: "mewimeet.de" }
    - { regexp: "_CONTENT: false", repl: "_CONTENT: true"}
  notify: restart_jitsi

- name: jitsimeet | get all language files
  find:
    paths: "/usr/share/jitsi-meet/lang/"
    patterns: '*.json'
    recurse: yes
  register: files_to_change

- name: jitsimeet | Replace branding in language files
  replace:
    path: "{{ item.path }}"
    regexp: '"headerTitle":.*$'
    replace: '"headerTitle": "Mewimeet",'
    backup: True
  loop_control:
    label: "{{ item.path }}"
  loop: "{{ files_to_change.files }}"
  notify: restart_jitsi

- name: jitsimeet | Install local update script
  copy:
    dest: "/home/rene/"
    src: update_jitsi.sh
    mode: '0755'
    owner: 'rene'
    group: 'rene'